Bug Hunting Session
Bug 93781 - Impress copy wrong style name to clipboard when style name contains Chinese character
Summary: Impress copy wrong style name to clipboard when style name contains Chinese c...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-30 13:58 UTC by Mark Hung
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Styles with strange names (84.71 KB, image/png)
2015-08-30 13:58 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2015-08-30 13:58:02 UTC
Created attachment 118277 [details]
Styles with strange names

This issue is similar to tdf#93438, just test in reverse direction.

This issue can only be reproduce in Chinese UI. 

1. Open Impress, enter any text. Select & copy.
2. Paste the data ( use paste-special with RTF format) into Writer.
3. Observe paragraph style, Chinese style names are all messed up.
Comment 1 Mark Hung 2015-09-01 16:32:38 UTC
1. Style names with Chinese are all messed up.
2. Some styles shown up unexpectedly (ex, ~LT~Gliederung 1) .
Comment 2 Commit Notification 2015-09-03 11:10:58 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85c62a36a907bc5ff31627349a80baa51efbd443

Fix tdf#93781 Impress copy wrong style name to clipboard when

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-03 11:12:15 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9761e8b7eb2f4efedfff67a6574540d4ea2e9c5a&h=libreoffice-5-0

Fix tdf#93781 Impress copy wrong style name to clipboard when

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.